@charset "Shift_JIS";

/* **************************************************

Name: timetable.css

Description: physical_ai events timetable CSS

Create: 2026.04.21
Update: 

Copyright 2026 Hitachi, Ltd.

***************************************************** */


/* ==================== */
/* 最終調整 */
/* ==================== */
#main {
    font-family: "Hitachi Sans", "Noto Sans JP", "Yu Gothic UI", "Noto Sans", sans-serif !important;
}

/* 表のボーダー色 */
/*
#main .timetable > .timetable__row:first-child :is(.timetable__time-cell, .timetable__full-cell) {
    border-top: 1px solid var(--color-black);
}

#main .timetable .timetable__time-cell {
    border-left: 1px solid var(--color-black);
    border-bottom: 1px solid var(--color-black);
    border-right: 1px solid var(--color-black);
}

#main .timetable .timetable__header-cell {
    border-bottom: 1px solid var(--color-black);
    border-right: 1px solid var(--color-black);
}

#main .timetable .timetable__full-cell {
    border-bottom: 1px solid var(--color-black);
}

@media screen and (min-width: 60em), print {
    #main .timetable .timetable__full-cell {
        border-right: 1px solid var(--color-black);
    }
}

.timetable[data-astro-cid-3yatxcau] .timetable__session-cell {
    border-bottom: 1px solid var(--color-black);
}

@media screen and (min-width: 60em), print {
    .timetable[data-astro-cid-3yatxcau] .timetable__session-cell {
        border-right: 1px solid var(--color-black);
    }
}
*/


#main .profile-card__post {
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.3125rem;
}

#main .profile-card__top {
    justify-content: center;
    height: 100%;
}

#main .profile-card__name {
    font-weight: 600;
}

@media screen and (min-width: 60em), print {
    #main .timetable-gs__sub-label {
        margin-bottom: 1.5rem;
    }

    #main .timetable-gs__sub-header .timetable-gs__sub-label {
        margin-bottom: 0;
    }
}

#main .entry {
    margin-bottom: 2rem;
}

@media screen and (max-width: 59.99em) {
    #main .timetable .timetable__tab {
        flex-wrap: wrap;
        align-content: center;
        background-color: #737373;
/*        border-right: 1px solid var(--color-black);
        border-bottom: 1px solid var(--color-black);*/
    }

    #main .timetable[data-active-track="0"] .timetable__tab[data-track="0"],
    #main .timetable[data-active-track="1"] .timetable__tab[data-track="1"],
    #main .timetable[data-active-track="2"] .timetable__tab[data-track="2"] {
        background-color: #c00;
    }

    #main .timetable .timetable__tab .timetable__tab__sub {
        display: block;
        width: 100%;
        font-size: 0.875rem;
    }
}

@media screen and (max-width: 59.99em) {
    #main .timetable__top-button {
        margin: 3rem auto 0;
    }
}

#main .modal-speaker-card__name {
    font-weight: 600;
}

#main .modal-speaker-card__post {
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.3125rem;
}

#main .modal-speaker-card__header {
    justify-content: center;
    height: 100%;
}

@media screen and (min-width: 60em), print {
    #main .modal-speaker-card__info {
        justify-content: center;
        height: 100%;
        box-sizing: border-box;
    }
}

sup {
    font-size: 75%;
}

/* ==================== */
/* General Session */
/* ==================== */
/* 3カラム */
@media screen and (min-width: 67.5em), print {
    .timetable-gs__profiles.column3 .profile-card {
        width: calc((100% - 1.5rem * 2) / 3);
    }

    .timetable-gs__profiles.column3 .profile-card__top {
        flex-wrap: wrap;
    }

    .timetable-gs__profiles.column3 .profile-card__top .profile-card__info {
        width: 100%;
        flex: auto;
        padding-top: 0;
    }
}

/* ==================== */
/* セッション */
/* ==================== */
#main .timetable-session__title {
    font-weight: 600;
}